# Struct crossbeam::ScopedJoinHandle [−] [src]

    pub struct ScopedJoinHandle<T> {
        // some fields omitted
    }

A handle to a scoped thread

## Methods

### `impl<T> ScopedJoinHandle<T>`

#### `fn join(self) -> T`

Join the scoped thread, returning the result it produced.

#### `fn thread(&self) -> &Thread`

Get the underlying thread handle.

# Help

## Keyboard Shortcuts

?
  Show this help dialog
S
  Focus the search field
⇤
  Move up in search results
⇥
  Move down in search results
⏎
  Go to active search result

## Search Tricks

Prefix searches with a type followed by a colon (e.g. `fn:`) to restrict the search to a given type.

Accepted types are: `fn`, `mod`, `struct`, `enum`, `trait`, `type`, `macro`, and `const`.

Search functions by type signature (e.g. `vec -> usize` or `* -> vec`)